Refactoring for OpenSSL 3.0.0 support

Arаm Sаrgsyаn requested to merge 2843-openssl-3-deprecations into main

Refactor BIND to use newer OpenSSL APIs instead of the ones which were deprecated in OpenSSL 3.0.0.

Closes #2843 (closed)

Edited by Arаm Sаrgsyаn

Merge request reports